#20 milldrill conflicts with drill-front

Group1
closed
nobody
None
5
2014-06-12
2014-06-03
Lukas
No

As mentioned in https://sourceforge.net/p/pcb2gcode/mailman/message/30920008/ the combination of milldrill and mill-front is (was) not yet implemented.
I added some necessary lines taken from the drilling function to the milling function in the drill.cpp file and additionally fixed the issue that milled hole diameters are not converted to inch when the excellon file is metric.

The recent file is attached, please test.

1 Attachments

Related

Bugs: #20

Discussion

  • Thanks for your contribution! I'm not actively working on this program anymore and haven't milled any boards in years, but of course I'll gladly add your changes to the git repository if that's ok for you. If you want, you can have direct access to the git repo in case you want to change anything else.

     
    • Lukas
      Lukas
      2014-06-17

      Sure you can upload the changes. It would be nice to have git access to
      the files, in case i might cange something more.
      Greetings, Lukas

      Am 2014-06-12 14:42, schrieb Patrick Birnzain:

      Thanks for your contribution! I'm not actively working on this program
      anymore and haven't milled any boards in years, but of course I'll
      gladly add your changes to the git repository if that's ok for you. If
      you want, you can have direct access to the git repo in case you want
      to change anything else.


      [bugs:#20] http://sourceforge.net/p/pcb2gcode/bugs/20/ milldrill
      conflicts with drill-front

      Status: closed
      Group: Group1
      Created: Tue Jun 03, 2014 12:02 PM UTC by Lukas
      Last Updated: Tue Jun 03, 2014 12:02 PM UTC
      Owner: nobody

      As mentioned in
      https://sourceforge.net/p/pcb2gcode/mailman/message/30920008/ the
      combination of milldrill and mill-front is (was) not yet implemented.
      I added some necessary lines taken from the drilling function to the
      milling function in the drill.cpp file and additionally fixed the
      issue that milled hole diameters are not converted to inch when the
      excellon file is metric.

      The recent file is attached, please test.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/pcb2gcode/bugs/20/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #20

      Attachments